View Issue Details

IDProjectCategoryView StatusLast Update
0000139MetaPostbugpublic2009-05-11 11:12
Reporterluigi scarsoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.200Fixed in Version 
Summary0000139: malformed svg (trunk revision 759 )
Descriptionsrc/texk/web2c/mpdir/tests/ex.mp
with
outputformat := "svg";
filenametemplate "%j-%c.svg";
gives ex-7.svg and ex-9.svg malformed

(trunk revision 759 )

# xmllint --noout ex-*svg
ex-7.svg:6: parser error : xmlParseCharRef: invalid xmlChar value 1
    <text font-size="9.96265"></text>
                                  ^
ex-7.svg:9: parser error : xmlParseCharRef: invalid xmlChar value 1
    <text font-size="9.96265"></text>
                                  ^
ex-7.svg:12: parser error : xmlParseCharRef: invalid xmlChar value 1
    <text font-size="9.96265"></text>
                                  ^
ex-7.svg:50: parser error : xmlParseCharRef: invalid xmlChar value 1
    <text font-size="9.96265"></text>
                                  ^
ex-7.svg:53: parser error : xmlParseCharRef: invalid xmlChar value 1
    <text font-size="9.96265"></text>
                                  ^
ex-7.svg:56: parser error : xmlParseCharRef: invalid xmlChar value 1
    <text font-size="9.96265"></text>
                                  ^
ex-9.svg:28: parser error : xmlParseCharRef: invalid xmlChar value 3
    <text font-size="8.96637"></text>
                                  ^
ex-9.svg:41: parser error : xmlParseCharRef: invalid xmlChar value 3
    <text font-size="8.96637"></text>
                                  ^
ex-9.svg:63: parser error : xmlParseCharRef: invalid xmlChar value 3
    <text font-size="8.96637"></text>
TagsNo tags attached.

Activities

Taco

2008-12-11 09:21

administrator   ~0000089

This can't be fixed; XML does not accept characters in that range and so there is no way to output the needed numbers correctly.

Use prologues:=3 mode.

(I can add a warning message, perhaps)

Taco

2008-12-11 09:25

administrator   ~0000091

Hm. changed my mind. I can simply not output anything, that leaves the rest of the svg file usable.

Taco

2008-12-11 12:15

administrator   ~0000092

The invalid SVG output is fixed by 0000760.

It now skips the character and writes a warning to the terminal.

Issue History

Date Modified Username Field Change
2008-12-10 20:10 luigi scarso New Issue
2008-12-11 09:21 Taco Status new => closed
2008-12-11 09:21 Taco Note Added: 0000089
2008-12-11 09:21 Taco Resolution open => not fixable
2008-12-11 09:25 Taco Status closed => assigned
2008-12-11 09:25 Taco Assigned To => Taco
2008-12-11 09:25 Taco Note Added: 0000091
2008-12-11 12:15 Taco Status assigned => resolved
2008-12-11 12:15 Taco Resolution not fixable => fixed
2008-12-11 12:15 Taco Note Added: 0000092
2009-01-02 17:35 Taco Project @3@ => MetaPost
2009-03-26 10:51 Taco Category mplib bug => bug
2009-04-20 13:14 Taco Target Version => 1.150
2009-04-21 19:07 Taco Target Version 1.150 => 1.200
2009-05-11 11:12 Taco Status resolved => closed